import request from '@/utils/request';

// 获取预警信息列表
export const getWarningInfoList = () => {
  return request({
    url: '/api/gateway/v2/get_weather_warning_active_alert_list',
    method: 'get'
  });
};

// 发布数量统计
export const getWarningInfoCount = () => {
  return request({
    url: '/api/gateway/v2/get_weather_warning_active_alert_count',
    method: 'get'
  });
};

// 预警明细列表
export const getWarningInfoDetail = (data) => {
  return request({
    url: '/api/gateway/v2/get_weather_latest_warning_list',
    method: 'post',
    data: data
  });
};
